pbs_hook_attributes(7B)

NAME
pbs_hook_attributes - attributes of PBS hooks

DESCRIPTION

Hook attributes can be set, unset, and viewed using the qmgr command. See the qmgr(1B) man page. An unset hook attribute takes the default value for that attribute. Under UNIX/Linux, root privilege is required in order to operate on hooks. Under Windows, this must be done from the installation account. For domained environments, the installation account must be a lo cal account that is a member of the local Administrators group on the local computer. For standalone environments, the ins tallation account must be a local account that is a member of the local Administrators group on the local computer.

alarm=<n>
    Specifies the number of seconds to allow a hook to run before the hook times out.
    Set by administrator.
    Valid values: >0
    Format: Integer
    Default value: 30

debug
    Specifies whether or not the hook produces debugging files under PBS_HOME/server_priv/hooks/tmp or PBS_HOME/mom_priv/hooks/tmp. Files are named hook_<hook event>_<hook name>_<unique ID>.in, .data, and .out. When this is set to true, the hook leaves debugging files.
    Set by administrator.
    Format: Boolean
    Default value: False

enabled
    Determines whether or not a hook is run when its triggering event occurs. If a hook's enabled attribute is True, the hook is run.
    Set by administrator.
    Format: Boolean
    Default: True

event
    List of events that trigger the hook. Can be operated on with the "=", "+=", and "-=" operators. The provision event cannot be combined with any other events.
    Valid events:
    "queuejob"
    "modifyjob"
    "movejob"
    "resvsub"
    "runjob"
    "periodic"
    "provision"
    "execjob_begin"
    "execjob_end"
    execjob_prologue"
    "execjob_epilogue"
    "execjob_preterm"
    "execjob_launch"
    "execjob_attach"
    "exechost_startup"
    "exechost_periodic"
    "" (meaning no event)

    Set by administrator.
    Format: string array
    Default value: "" (meaning none, i.e. the hook is not triggered)

fail_action
    Specifies the action to be taken when hook fails due to alarm call or unhandled exception, or to an internal error such as not enough disk space or memory. Can also specify a subsequent action to be taken when hook runs successfully. Value can be either "none" or one or more of "offline_vnodes", "clear_vnodes_upon_recovery", and "scheduler_restart_cycle". If this attribute is set to multiple values, scheduler restart happens last. See the Hooks chapter in the PBS Professional Administrator's Guide.
    offline_vnodes
    After unsuccessful hook execution, offlines the vnodes managed by the MoM executing the hook. Only available for execjob_prologue, exechost_startup and execjob_begin hooks.

    clear_vnodes_upon_recovery
    After successful hook execution, clears vnodes previously offlined via offline_vnodes fail action. Only available for exechost_startup hooks.

    scheduler_restart_cycle
    After unsuccessful hook execution, restarts scheduling cycle. Only available for execjob_begin and execjob_prologue hooks.

    Set by administrator.
    Format: string_array
    Default value: "none"

freq
    Number of seconds between periodic or exechost_periodic triggers.
    Set by administrator.
    Format: integer
    Default: 120 seconds

order
    Indicates relative order of hook execution, for hooks sharing a trigger. Hooks with lower order values execute before those with higher values. Does not apply to periodic or exechost_periodic hooks.
    Set by administrator.
    Format: Integer
    Default value: 1

Type
    The type of the hook. Cannot be set for a built-in hook.
    Valid values: "pbs", "site"
    pbs
    Hook is built in.

    site
    Hook is custom (site-defined).

    Set by administrator.
    Format: String
    Default value: "site"

user
    Specifies who executes the hook.
    Valid values: "pbsadmin", "pbsuser"
    pbsadmin
    The hook executes as root.

    pbsuser
    The hook executes as the triggering job's owner.

    Set by administrator.
    Format: String
    Default value: "pbsadmin"

SEE ALSO
The PBS Professional Hooks Guide, the PBS Professional Administrator's Guide, the PBS Professional Programmer's Guide,
qmgr(1B), pbs_module(7B), pbs_stathook(3B)